[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'types' (#rtl)

# ISequentialStream

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Sequential stream object interface

## Declaration

Source position: types.pp line 269

`type ISequentialStream = interface(IUnknown)`
`function Read();` |  | Read data from the stream
`function Write();` |  | Write data to the stream
`end;`

## Inheritance

`ISequentialStream` |  | Sequential stream object interface
`IUnknown`
?

## Description

ISequentialStream is the interface for streams which only support sequential reading of chunks of data. It is defined for Delphi/Kylix compatibility and should not be used.

## See also

IStream |  | COM stream abstraction

Documentation generated on: Feb 26 2014